LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 12-26-2005, 10:34 PM   #1
samqazi1
LQ Newbie
 
Registered: Dec 2005
Posts: 3

Rep: Reputation: 0
Unhappy Can't build ns2 on AMD64 platform


Hi (URGENT HELP REQUIRED!!),

I am trying to install ns-2 (Network simulator 2) but.... this time on an AMD-64 Opteron server. It worked well previously on intel architectures but not here ( I've tried many things configure with all type of flags, --with-x-libraries, --without-x-libraries, --with-tcl but.. without any success!).

./configure runs fine but make fails.

The error generated by make (for installation of one of the constituent packages OTCL )is for example reported below.

I need to configure/make atleast 3 compulsory packages--
otcl, tclcl, ns2 packages in succession to build the whole ns2 package.

(Investigation while Googling revealed that AMD keeps its 64 bit libraries in exactly the same folders as the 32 bit ones. so we donot have to deal with the hassle of specifying the required libraries)


******************************************************
rm -f libotcl.so otcl.o so_locations
gcc -c -g -O2 -DNDEBUG -DUSE_SHM -fpic -I. -I/root/ns/tk8.4.11/generic -I/root/ns/tcl8.4.11/generic -I/root/ns/tcl8.4.11/generic -I/include otcl.c
ld -shared -o libotcl.so otcl.o
rm -f libotcl.so
gcc -o otclsh -g -O2 -I. -I/root/ns/tk8.4.11/generic -I/root/ns/tcl8.4.11/generic -I/root/ns/tcl8.4.11/generic -I/include otclAppInit.c \
-L. -lotcl -L/usr/lib -ltk8.4 -L/usr/local/lib -ltcl8.4 -L/usr/X11R6/lib -lXext -lX11 -lnsl -ldl -lm
/usr/bin/ld: skipping incompatible /usr/lib/libtk8.4.so when searching for -ltk8.4
/usr/bin/ld: skipping incompatible /usr/lib/libtcl8.4.so when searching for -ltcl8.4
/usr/bin/ld: skipping incompatible /usr/X11R6/lib/libXext.so when searching for -lXext
/usr/bin/ld: skipping incompatible /usr/X11R6/lib/libXext.a when searching for -lXext
/usr/bin/ld: cannot find -lXext
collect2: ld returned 1 exit status


***********************************************************

How can I resolve this issue?

Thanks.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
NS2 installation eby83 Linux - Newbie 2 06-11-2007 01:08 AM
Ns2 ConfusedMonkey Linux - Software 3 10-05-2005 11:32 AM
problem with amd64 build of gentoo citrus Linux - General 2 01-17-2005 08:47 AM
Cinelerra - AMD64 Build Phorem Linux - Software 1 04-17-2004 02:46 PM
How can i send message from Linux platform to Windows platform linuxeagle Linux - Networking 1 02-17-2004 12:35 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 05:05 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration